> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shiftkeeper.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a team

> Get a team by its ID.



## OpenAPI

````yaml https://api.shiftkeeper.io/openapi.json get /teams/{team_id}
openapi: 3.1.0
info:
  title: Shiftkeeper API
  description: API reference to interact with Shiftkeeper programatically
  version: 0.0.1
servers:
  - url: https://api.shiftkeeper.io
security:
  - apiKey: []
externalDocs:
  url: https://docs.shiftkeeper.io
  description: Learn more about Shiftkeeper
paths:
  /teams/{team_id}:
    get:
      tags:
        - Teams
      summary: Get a team
      description: Get a team by its ID.
      parameters:
        - schema:
            type: string
            example: tea_VJ4sYEOOXVvJBXqFjRzpm
          in: path
          name: team_id
          required: true
          description: The ID of the team.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  team:
                    $ref: '#/components/schemas/Team'
                required:
                  - team
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    $ref: '#/components/schemas/NotFoundError'
                required:
                  - error
components:
  schemas:
    Team:
      type: object
      properties:
        id:
          type: string
          description: The ID of the team.
        name:
          type: string
          minLength: 1
          maxLength: 60
          description: The name of the team.
        description:
          type: string
          maxLength: 200
          description: The description of the team.
      required:
        - id
        - name
      examples:
        - id: tea_VJ4sYEOOXVvJBXqFjRzpm
          name: Payments
          description: All about payments and billing
    NotFoundError:
      type: object
      properties:
        message:
          type: string
        docs_url:
          type: string
        status:
          type: number
          const: 404
        code:
          type: string
          const: not_found
      required:
        - message
        - status
        - code
      example:
        code: not_found
        status: 404
        message: The requested resource was not found
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Enter your API key which starts with 'keeper_'

````